Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 27 Dec 2021 01:55:07 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered from last week and I received a message yesterday that the address is missing but no one followed up so I call today And I spoke to the customer service and we updated the address and I told her to let anyone to talk to me so I know when the order will be delivered.. but as usual no one followed up my case. Now I want the items to be delivered by tomorrow I’ve been waiting for more than 4 days .. please let me know when weather you will deliver it to me or not!! So I can search for another tables covers from other place! PLEASE DO NOT IGNORE MY MESSAGE https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3671287